{{- $architecture := or .architecture "arm64" -}}
{{- $cdimagesmirror := or .cdimagesmirror "http://cdimage.ubuntu.com" -}}
{{- $additional_apt_repos := or .additional_apt_repos "" -}}
# Due to Go template's limitations in distinguish empty value from boolean,
# the default for this has to be false, hence the name.
{{- $skip_remove_apt_user := or .skip_remove_apt_user false }}

# Should match ut-version-info.json
{{- $ut_base_distro := "noble" -}}
{{- $ut_aptly_archive := "devel-noble" -}}

---

architecture: {{ $architecture }}
actions:
  - action: recipe
    description: Setup base rootfs
    recipe: common-base.yaml
    variables:
      architecture: {{ $architecture }}
      cdimagesmirror: {{ $cdimagesmirror }}
      skip_remove_apt_user: {{ $skip_remove_apt_user }}
      additional_apt_repos: {{ $additional_apt_repos }}
      ut_base_distro: {{ $ut_base_distro }}
      ut_aptly_archive: {{ $ut_aptly_archive }}

